> ## Documentation Index
> Fetch the complete documentation index at: https://insightsoftware.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# (deprecated since 23.1)Create Materialized view



## OpenAPI

````yaml /simba-embedded-analytics/docs/self-service-analytics/26.3/api-swagger/ssa-api-docs-26-3.json post /api/materialized-views
openapi: 3.1.0
info:
  title: Logi Composer Rest API
  description: >-
    The Composer REST API provides methods for retrieving, updating, and
    deleting Composer metadata. With the API endpoints, you can manage
    connections, data sources, accounts, groups, and users quickly and easily.


    ## Authentication


    This API supports the following authentication schemes:


    - **basicAuth** – HTTP Basic authentication using global administrator
    credentials (username and password). Required for most endpoints.

    - **trustedAccessAuth** – HTTP Basic authentication using Trusted Access
    client credentials. Use the **client ID** as the username and the **client
    secret** as the password. Required for Trusted Access token and session
    endpoints.

    - **bearerAuth** – HTTP Bearer token authentication. Supply a token
    previously obtained from a Trusted Access token endpoint
    (`/api/trusted-access/push/tokens` or `/api/trusted-access/pull/tokens`).
  contact:
    name: Logi Support
    url: https://help.insightsoftware.com
    email: logisupport@insightsoftware.com
  version: '1.0'
servers:
  - url: http://10.2.4.166:8080/composer
    description: Generated server url
security:
  - basicAuth: []
tags:
  - name: account-attributes
    description: Reserved Account attributes configuration
  - name: accounts
    description: Manage Accounts
  - name: accounts / admins
    description: Manage Account Administrators
  - name: accounts / users
    description: Manage Account Users
  - name: actions
    description: Manage Action Templates
  - name: activity
    description: Manages Activity Logging
  - name: alerts
    description: Manage Alerts
  - name: branding
    description: Manage branding configuration
  - name: branding-extentions
    description: Manage branding extensions (chart colors, etc.)
  - name: calendars
    description: (experimental) Manage calendars
  - name: comments
    description: Dashboard comments
  - name: connection-types
    description: Manage Connection Types
  - name: connections
    description: Manage Source Connections
  - name: connectors
    description: Manage Connectors
  - name: conversations
    description: Manage Workspace Conversations
  - name: customization
    description: Manage customization configuration
  - name: dashboard-conversion
    description: (experimental) Convert dashboards layout
  - name: dashboard-migration
    description: New Dashboards Migration API
  - name: dashboard-reports
    description: Manage Dashboard Reports
  - name: dashboard-sharing
    description: (experimental) Manage dashboard access level
  - name: dashboards
    description: Manage Dashboards
  - name: export
    description: Export Source Data
  - name: favorites
    description: Favorite Items
  - name: filter-sets
    description: Filter Visualizations Data
  - name: folders
    description: Manage folders
  - name: frontend / environment variables
    description: Get environment variables for frontend
  - name: global
    description: Manage global security configuration
  - name: group-membership
    description: Manages Group Membership
  - name: groups
    description: Manage User Groups
  - name: interactivity
    description: Dashboard interactivity
  - name: inventory
    description: Manage Composer Items
  - name: jobs
    description: List of available scheduler jobs
  - name: joins
    description: Manage joins metadata and suggestions
  - name: json-datasets
    description: Manage JSON datasets
  - name: kerberos
    description: Manage Kerberos Config
  - name: keyset
    description: Manage keysets
  - name: ldap
    description: Manage LDAP Configuration
  - name: license
    description: Manage Composer License
  - name: locale, currency, language
    description: Locale, currency, and language info
  - name: materialized-view
    description: (deprecated since 23.1) Manage Materialized Views
  - name: odata
    description: (experimental) Source Data Retrieval OData service
  - name: password-reset
    description: Self-service forgot-password flow
  - name: permissions
    description: Manage Permissions
  - name: Publish
    description: Publish Workspace Artifacts
  - name: quota
    description: Manage Quotas
  - name: recentlyAccessed
    description: Recently Accessed Elements
  - name: register
    description: User registration
  - name: saml
    description: Manage SAML
  - name: security
    description: Retrieve all sids info
  - name: self-service-reports
    description: Self Service Reports
  - name: sharing
    description: (experimental) Manage dashboard sharing
  - name: snapshots
    description: Create and manage entity snapshots
  - name: snippets
    description: (experimental) Manage snippets
  - name: sources
    description: Manage Sources
  - name: sources / cache-settings
    description: Manages sources cache settings
  - name: sources / custom-metrics
    description: Manage Source Custom Metrics
  - name: sources / dictionaries
    description: Manage Source Dictionaries
  - name: sources / fields
    description: Manage Source Fields
  - name: sources / global-settings
    description: Manages sources global settings
  - name: sources / migration
    description: Source Migration API
  - name: sources / preview and describe
    description: Source preview and describe
  - name: sources / raw data
    description: (experimental) Get source raw data
  - name: sources / security
    description: Manage Sources Security
  - name: sources / security / custom metrics
    description: (experimental) Manage Sources Custom Metric Security
  - name: sources / security / fields
    description: Manage Sources Fields Security
  - name: sources / security / row
    description: Manage Sources Row Security
  - name: sources / unique-key
    description: Manages sources unique key
  - name: sources / visual-types
    description: Manages source visual types
  - name: start-vis
    description: (experimental) Execute start-vis or meta request
  - name: stream
    description: Search stream sources
  - name: tags
    description: Manage tags
  - name: timezones
    description: Timezone Information
  - name: toggle
    description: Toggle Features
  - name: topics
    description: Manage topics
  - name: trusted-access-client
    description: Manage Trusted Access clients
  - name: trusted-access-session
    description: Manage user sessions via Trusted Access
  - name: trusted-access-token
    description: Manage Trusted Access tokens
  - name: uploads
    description: Manage Uploads
  - name: user
    description: Manage User
  - name: users
    description: Manage Users
  - name: users segregation
    description: Segregate users into tenants
  - name: version
    description: System version
  - name: visual-types
    description: Manage Visual Types
  - name: visuals
    description: Manage Visuals
  - name: visuals / migration
    description: New Visuals Migration API
  - name: workspaces
    description: Manage Workspaces
paths:
  /api/materialized-views:
    post:
      tags:
        - materialized-view
      summary: (deprecated since 23.1)Create Materialized view
      operationId: create_9
      requestBody:
        content:
          application/vnd.composer.v3+json:
            schema:
              $ref: '#/components/schemas/MaterializedViewInputResource'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/vnd.composer.v3+json:
              schema:
                $ref: '#/components/schemas/MaterializedViewResource'
      deprecated: true
components:
  schemas:
    MaterializedViewInputResource:
      type: object
      description: Materialized view input.
      properties:
        name:
          type: string
        description:
          type: string
        enabled:
          type: boolean
        definition:
          description: Structure that defines the data stored in a Materialized View.
          oneOf:
            - $ref: '#/components/schemas/AggregateMaterializedViewDefinition'
            - $ref: '#/components/schemas/RawMaterializedViewDefinition'
        storageSettings:
          $ref: '#/components/schemas/StorageSettingsResource'
          description: >-
            Storage settings for Materialized View, required to use external
            data storage. If not specified, data will be automatically stored
            internally.
    MaterializedViewResource:
      type: object
      description: Materialized View
      properties:
        name:
          type: string
        description:
          type: string
        enabled:
          type: boolean
        definition:
          description: Structure that defines the data stored in a Materialized View.
          oneOf:
            - $ref: '#/components/schemas/AggregateMaterializedViewDefinition'
            - $ref: '#/components/schemas/RawMaterializedViewDefinition'
        storageSettings:
          $ref: '#/components/schemas/StorageSettingsResource'
          description: >-
            Storage settings for Materialized View, required to use external
            data storage. If not specified, data will be automatically stored
            internally.
        id:
          type: string
        referencedSourceIds:
          type: array
          description: Sources that can be matched by this Materialized View.
          items:
            type: string
          uniqueItems: true
        definitionQuery:
          type: string
          description: SQL query that defines this Materialized View.
    AggregateMaterializedViewDefinition:
      allOf:
        - $ref: '#/components/schemas/AbstractMaterializedViewDefinition'
        - type: object
          properties:
            aggregations:
              type: array
              items:
                oneOf:
                  - $ref: '#/components/schemas/HierarchyAggregation'
                  - $ref: '#/components/schemas/HistogramAggregation'
                  - $ref: '#/components/schemas/TermsAggregation'
                  - $ref: '#/components/schemas/TimeAggregation'
                  - $ref: '#/components/schemas/HistogramByCountAggregation'
                  - $ref: '#/components/schemas/HistogramBySizeAggregation'
            metrics:
              type: array
              items:
                oneOf:
                  - $ref: '#/components/schemas/CalculationMetric'
                  - $ref: '#/components/schemas/CountMetric'
                  - $ref: '#/components/schemas/FieldMetric'
    RawMaterializedViewDefinition:
      allOf:
        - $ref: '#/components/schemas/AbstractMaterializedViewDefinition'
        - type: object
          properties:
            fields:
              type: array
              items:
                oneOf:
                  - $ref: '#/components/schemas/ExpressionField'
                  - $ref: '#/components/schemas/SimpleField'
            distinct:
              type: boolean
    StorageSettingsResource:
      type: object
      description: Storage settings object. All fields are required.
      properties:
        targetStorage:
          $ref: '#/components/schemas/TargetStorageResource'
          description: External data storage configuration for the Materialized View.
        fieldMappings:
          type: array
          description: >-
            Mapping between fields of target storage and request objects of
            definition. 
          items:
            $ref: '#/components/schemas/FieldMappingResource'
    AbstractMaterializedViewDefinition:
      type: object
      discriminator:
        propertyName: type
      properties:
        type:
          type: string
          enum:
            - AGG
            - RAW
        filters:
          type: array
          items:
            $ref: '#/components/schemas/RawFilter'
        sourceId:
          type: string
    HierarchyAggregation:
      allOf:
        - $ref: '#/components/schemas/Aggregation'
    HistogramAggregation:
      allOf:
        - $ref: '#/components/schemas/Aggregation'
        - type: object
          properties:
            histogramType:
              type: string
              enum:
                - AUTO
                - SIZE
                - COUNT
            start:
              type: number
              format: double
            end:
              type: number
              format: double
      discriminator:
        propertyName: histogramType
    TermsAggregation:
      allOf:
        - $ref: '#/components/schemas/Aggregation'
    TimeAggregation:
      allOf:
        - $ref: '#/components/schemas/Aggregation'
        - type: object
          properties:
            granularity:
              type: string
              enum:
                - MILLISECOND
                - SECOND
                - MINUTE
                - HOUR
                - DAY
                - WEEK
                - MONTH
                - QUARTER
                - YEAR
            includeBlanks:
              type: boolean
    HistogramByCountAggregation:
      allOf:
        - $ref: '#/components/schemas/HistogramAggregation'
        - type: object
          properties:
            count:
              type: integer
              format: int32
    HistogramBySizeAggregation:
      allOf:
        - $ref: '#/components/schemas/HistogramAggregation'
        - type: object
          properties:
            size:
              type: number
              format: double
    CalculationMetric:
      allOf:
        - $ref: '#/components/schemas/Metric'
        - type: object
          properties:
            formulaName:
              type: string
            formula:
              type: string
    CountMetric:
      allOf:
        - $ref: '#/components/schemas/Metric'
    FieldMetric:
      allOf:
        - $ref: '#/components/schemas/Metric'
        - type: object
          properties:
            field:
              $ref: '#/components/schemas/FieldName'
            function:
              type: string
              enum:
                - avg
                - min
                - max
                - sum
                - stddev_pop
                - stddev_samp
                - var_pop
                - var_samp
                - distinct_count
                - last_value
                - first_value
                - count
                - calc
                - percentile
                - median
                - listagg
    ExpressionField:
      allOf:
        - $ref: '#/components/schemas/Field'
        - type: object
          properties:
            name:
              type: string
              writeOnly: true
            expression:
              type: string
            resultType:
              type: string
              enum:
                - ATTRIBUTE
                - NUMBER
                - TIME
                - CHRONO_DATETIME
    SimpleField:
      type: object
      properties:
        field:
          $ref: '#/components/schemas/FieldName'
        type:
          type: string
          enum:
            - FIELD
            - EXPRESSION
    TargetStorageResource:
      type: object
      properties:
        connectionId:
          type: string
        schemas:
          type: array
          items:
            type: string
        collection:
          type: string
        collectionParams:
          type: object
          additionalProperties:
            type: string
    FieldMappingResource:
      type: object
      description: >-
        Materialized view field mapping from request object to target data
        storage column.
      properties:
        targetFieldName:
          type: string
        sourceFieldName:
          type: string
        sourceMetric:
          oneOf:
            - $ref: '#/components/schemas/CalculationMetric'
            - $ref: '#/components/schemas/CountMetric'
            - $ref: '#/components/schemas/FieldMetric'
        sourceAggregation:
          oneOf:
            - $ref: '#/components/schemas/HierarchyAggregation'
            - $ref: '#/components/schemas/HistogramAggregation'
            - $ref: '#/components/schemas/TermsAggregation'
            - $ref: '#/components/schemas/TimeAggregation'
            - $ref: '#/components/schemas/HistogramByCountAggregation'
            - $ref: '#/components/schemas/HistogramBySizeAggregation'
    RawFilter:
      type: object
      properties:
        path:
          $ref: '#/components/schemas/FieldName'
        operation:
          type: string
          enum:
            - EQUALS
            - EQUALSI
            - NOTEQUALS
            - LT
            - LE
            - GT
            - GE
            - IN
            - NOTIN
            - BETWEEN
            - ISNOTNULL
            - ISNULL
            - AND
            - OR
            - TEXT_SEARCH
            - INKEYSET
            - NOTINKEYSET
            - NOT
            - STARTSWITH_CS
            - STARTSWITH_CI
            - STARTSWITH_DS
            - ENDSWITH_CS
            - ENDSWITH_CI
            - ENDSWITH_DS
            - CONTAINS_CS
            - CONTAINS_CI
            - CONTAINS_DS
            - EQUALS_OR_DESCENDANT_OF
        value: {}
    Aggregation:
      type: object
      discriminator:
        propertyName: type
      properties:
        type:
          type: string
          enum:
            - TERMS
            - TIME
            - HISTOGRAM
            - HIERARCHY
        field:
          $ref: '#/components/schemas/FieldName'
    Metric:
      type: object
      discriminator:
        propertyName: type
      properties:
        type:
          type: string
          enum:
            - COUNT
            - FIELD
            - CALCULATION
        rollup:
          type: boolean
    FieldName:
      type: object
      properties:
        name:
          type: string
    Field:
      type: object
      discriminator:
        propertyName: type
      properties:
        type:
          type: string
          enum:
            - FIELD
            - EXPRESSION
  securitySchemes:
    basicAuth:
      type: http
      description: >-
        HTTP Basic authentication using global administrator credentials
        (username and password).
      scheme: basic

````